/*
 * 有人云jssdk demo
 * 提供获取变量历史数据、下发变量数据、监听变量数据等示例
 * sdk文件需要替换为官网最新版本
 * appKey和appSecret需要替换为申请的内容
 */
//引入sdk
const sdk = require("../../utils/jssdk-2.0.10.min")
const usrsdk = sdk.usrsdk
const appKey="{appKey}";
const appSecret="{appSecret}";
const myCusdeviceNo="{cusdeviceNo}";
const myDataPointId={dataPoint};
/**
 * 监听设备变量推送
 */
const listenCusdeviceDatapoint = function () {
  usrsdk.addListener('cusdeviceDataPoint', {
    //可同时监听多个设备，替换为真实的设备编号
    "cusdeviceNos": [myCusdeviceNo]
  }, (cusdeviceNo, data) => {
    console.log(cusdeviceNo, data);
  });
}
Page({
  getLastDataHistory: function () {
    /**
     * 获取变量最新历史数据
     */
    usrsdk.cusdevice.getLastDataHistory({
      "dataPoints": [{
        "cusdeviceNo": myCusdeviceNo,
        "dataPointId": myDataPointId
      }]
    }).then(data => {
      console.log("last datapoint", data);
    })
  },
  setDatapoint: function () {
    /**
     * 下发变量数据
     */
    usrsdk.cusdevice.setDataPoint(myCusdeviceNo,
      [{
        "dataPointId": myDataPointId, //数据点关联id【dataPointId和identifier二选一】
        // "identifier":"adsf",//变量标识符(字符串类型）【dataPointId和identifier二选一】
        "value": "123" //要设置的变量值
      }]
    )
  },
  onLoad: function (options) {
    /**
     * sdk初始化
     */
    usrsdk.init({
        appKey: appKey,
        appSecret: appSecret
      })
      .then(function () {
        console.log("init");
        //注：所有操作都需要在初始化完成后进行
        listenCusdeviceDatapoint();
      });
  },
  data: {

  },
})
